package DeleteExif::CMS;

use strict;

sub delete_exif {
    my ( $cb, %args ) = @_;
    my $obj = $args{asset};

    require Image::ExifTool;

    my $exif_tool = new Image::ExifTool;
    my $file_path = $obj->file_path;
    my $fmgr = $obj->blog ? $obj->blog->file_mgr : MT::FileMgr->new('Local');
    my $img_data = $fmgr->get_data( $file_path, 'upload' );

    $exif_tool->ExtractInfo( \$img_data );
    $exif_tool->SetNewValue('EXIF:*', undef);
    $exif_tool->WriteInfo( \$img_data );

    my $img = MT::Image->new( Data => $img_data, Type => $obj->file_ext );
    my $magick = $img->{magick};
    my $blob = $magick->ImageToBlob;

    $fmgr->put_data( $blob, $file_path, 'upload' );
}

1;
